View Issue Details

IDProjectCategoryView StatusLast Update
0006208Talerdeployment and operationspublic2020-07-24 11:56
ReporterbuckE Assigned TobuckE  
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionreopened 
Target Version0.8Fixed in Version0.8 
Summary0006208: weblate: complete production deployment sanity check
DescriptionComplete steps here: https://weblate.taler.net/manage/performance/

1 - Log in as admin

2 - Go to URL

3 - Complete "Configuration errors"

4 - Complete "System checks"

5 - Verify https://docs.djangoproject.com/en/3.0/howto/deployment/checklist/
TagsNo tags attached.

Activities

buckE

2020-04-24 08:21

reporter   ~0015775

Note to self

Current outstanding issues reported as bugs to weblate:
https://github.com/WeblateOrg/weblate/issues/3784
https://github.com/WeblateOrg/weblate/issues/3783
https://github.com/WeblateOrg/weblate/issues/3782

buckE

2020-04-28 09:21

reporter   ~0015791

All outstanding errors/issues are due to fixes coming in 4.0.2, or to our unusual config of running the development server via nginx proxy. Fixing these issues will require proper config as in: https://docs.weblate.org/en/latest/admin/install.html#running-server

Closing issue.

buckE

2020-05-01 08:58

reporter   ~0015825

Reopening re: production deployment means we are able to fix (and probably should fix) these errors: https://weblate.taler.net/manage/performance/

buckE

2020-05-04 08:52

reporter   ~0015846

* Errors regarding SVN and HG ignored

* Errors regarding HTTPS ignored re: nginx reverse proxy

Christian:
Integrated error reporting options are Sentry and Rollbar, which rely on Google.
This is the section on error reporting: https://docs.weblate.org/en/weblate-4.0.3/admin/install.html#collecting-error-reports

Backups can be handled a few ways. I recommend a monthly cron job that backs up the `weblate` psql database, `/home/weblate/weblate-env` directory, and rsyncs them off site somewhere. Please create a ticket for me if you want me to do something, or you can just use this as a base for your script:

weblateBackup.sh
```
#!/bin/bash -e

# Set today's date as variable
today=$(date +"%Y-%m-%d")

# Dump the weblate database
pg_dump weblate > weblateDB"{$today}".bak
#su - weblate -c pg_dump weblate > weblateDB"{$today}".bak

# Create the archive
tar -czf weblateBackup-$today.tgz weblateDB"{$today}".bak /home/weblate/weblate-env/

# Move to safe location:

# Clean up
rm weblateDB"{$today}".bak
```

Issue History

Date Modified Username Field Change
2020-04-23 08:42 buckE New Issue
2020-04-23 08:42 buckE Status new => assigned
2020-04-23 08:42 buckE Assigned To => buckE
2020-04-23 09:40 buckE Description Updated View Revisions
2020-04-24 08:21 buckE Note Added: 0015775
2020-04-28 09:21 buckE Status assigned => resolved
2020-04-28 09:21 buckE Resolution open => fixed
2020-04-28 09:21 buckE Note Added: 0015791
2020-05-01 08:58 buckE Status resolved => feedback
2020-05-01 08:58 buckE Resolution fixed => reopened
2020-05-01 08:58 buckE Note Added: 0015825
2020-05-04 08:52 buckE Status feedback => resolved
2020-05-04 08:52 buckE Note Added: 0015846
2020-07-24 11:56 Christian Grothoff Target Version => 0.8
2020-07-24 11:56 Christian Grothoff Fixed in Version => 0.8